LaTeX API
Apiaccount

Approve a CLI sign-in (browser session only)

POST
/v1/auth/device/{code}/approve

Authorization

bearerAuth
headerAuthorizationBearer <token>

A personal API token (lta_...) from the dashboard or latex-api auth login. Also accepted in the X-API-Key header.

Path Parameters

code*string
Length8 <= length <= 12

Request Body

application/json
  1. body
tokenName?string
Lengthlength <= 80
expiresInDays?|
Range1 <= value <= 3650

Response Body

Approved

application/json
  1. response
userCode*string
status*string
Value in"pending""approved""denied""consumed""expired"
clientName*string
hostname?string
platform?string
createdAt*string
expiresAt*string
Example Request
curl -X POST 'https://latex-api.crafter.run/v1/auth/device/stringst/approve' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "userCode": "string",  "status": "pending",  "clientName": "string",  "hostname": "string",  "platform": "string",  "createdAt": "string",  "expiresAt": "string"}